Summary: Images for components and tools for working with the comps file
Name: comps-extras
Version: 9.0.4
Release: 1.XOS.1
Source0: %{name}-%{version}.tar.gz
License: GPL
Group: Applications/System
BuildRoot: %{_tmppath}/%{name}-root
BuildArch: noarch

%description
This package contains images for the components included in X/OS Linux
as well as some tools for working with the comps file

%prep
%setup -q

%build
make

%install
rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT install

%if %(test -f /etc/xos-release && echo 1 || echo 0)
cp -a ${RPM_BUILD_ROOT}%{_datadir}/pixmaps/comps/network-server.png \
	${RPM_BUILD_ROOT}%{_datadir}/pixmaps/comps/advanced-server.png
cp -a ${RPM_BUILD_ROOT}%{_datadir}/pixmaps/comps/network-server.png \
	${RPM_BUILD_ROOT}%{_datadir}/pixmaps/comps/cluster-suite.png
cp -a ${RPM_BUILD_ROOT}%{_datadir}/pixmaps/comps/development-tools.png \
	${RPM_BUILD_ROOT}%{_datadir}/pixmaps/comps/developer-suite.png
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_datadir}/pixmaps/comps
%{_datadir}/comps-extras


%changelog
* Fri Aug 20 2004 X/OS Linux Team <xoslinux@xos.nl> 9.0.4-1.XOS.1
- Build for X/OS Linux 3.0.
- X/OS Linux source rpm based on comps-extras-9.0.4-1.src.rpm
  (md5sum of original source rpm: ef10cf425d1d594cce56ce2e3a08d0a9).
- Textual changes in spec file for X/OS Linux.
- Add (copy) some pixmaps for the extra X/OS Linux groups.

* Wed Sep  3 2003 Jeremy Katz <katzj@redhat.com> 9.0.4-1
- copy comps icons for a few new groups

* Tue May 27 2003 Jeremy Katz <katzj@redhat.com> 9.0.3-1
- getfullcomps.py can go away now that anaconda does dep resolution in 
  realtime

* Fri Apr 11 2003 Jeremy Katz <katzj@redhat.com> 9.0.2-1
- update getfullcomps.py to not prefer devel packages

* Tue Apr  8 2003 Tim Powers <timp@redhat.com> 9.0.1-2
- made getfullcomps.py importable

* Tue Mar  4 2003 Jeremy Katz <katzj@redhat.com> 9.0.1-1
- add /usr/share/comps-extras/whichcd.py to find out which cd a given 
  package is on (#85343)

* Tue Dec 17 2002 Jeremy Katz <katzj@redhat.com>
- improve getfullcomps.py handling of multiple provides

* Wed Sep 04 2002 Jeremy Katz <katzj@redhat.com>
- update images again

* Wed Sep 04 2002 Michael Fulbright <msf@redhat.com>
- update images

* Thu Aug 29 2002 Jeremy Katz <katzj@redhat.com>
- update images

* Tue Jul 23 2002 Jeremy Katz <katzj@redhat.com>
- Initial build.


